javax.persistence.criteria

## Interface Path<X>

All Superinterfaces:
  Expression<X>, Selection<X>, TupleElement<X>

All Known Subinterfaces:
  CollectionJoin<Z,E>, From<Z,X>, Join<Z,X>, ListJoin<Z,E>, MapJoin<Z,K,V>, PluralJoin<Z,C,E>, Root<X>, SetJoin<Z,E>

    public interface Path<X>
    extends Expression<X>

### Method Summary

All Methods Instance Methods Abstract Methods
`<K,V,M extends Map<K,V>> Expression<M>` `get(MapAttribute<X,K,V> map)`
`<E,C extends Collection<E>> Expression<C>` `get(PluralAttribute<X,C,E> collection)`
`<Y> Path<Y>` `get(SingularAttribute<? super X,Y> attribute)`
`<Y> Path<Y>` `get(String attributeName)`
`Bindable<X>` `getModel()`
`Path<?>` `getParentPath()`
`Expression<Class<? extends X>>` `type()`

### Methods inherited from interface javax.persistence.criteria.Expression

`as, in, in, in, in, isNotNull, isNull`

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`

### Method Detail

#### getModel

    Bindable<X> getModel()

#### getParentPath

    Path<?> getParentPath()

#### get

    <Y> Path<Y> get(SingularAttribute<? super X,Y> attribute)

#### get

    <E,C extends Collection<E>> Expression<C> get(PluralAttribute<X,C,E> collection)

#### get

    <K,V,M extends Map<K,V>> Expression<M> get(MapAttribute<X,K,V> map)

#### type

    Expression<Class<? extends X>> type()

#### get

    <Y> Path<Y> get(String attributeName)